[Overview][Procedures and functions][Index] | Reference for unit 'x86' (#rtl)

# fpIOperm

Set permission on IO ports

## Declaration

Source position: x86.pp line 41

`function fpIOperm(`
`From: Cardinal;`
`Num: Cardinal;`
`Value: cint`
`):cint;`

## Description

FpIOperm sets permissions on Num ports starting with port From to Value. The function returns zero if the call was successfull, a nonzero value otherwise.

Note:

- This works ONLY as root.
- Only the first 0x03ff ports can be set.
- When doing a FpFork, the permissions are reset. When doing a FpExecVE they are kept.

## Errors

Extended error information can be retrieved with FpGetErrno

Documentation generated on: Feb 26 2014